> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mention-me.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Track product page view for referral attribution.

> Request body (JSON): - browserId (string, required): Client-generated browser fingerprint hash (djb2)
- referrerId (string, optional): Referring user's visitorId from mm_rf URL param - currentUrl (string): Full URL of product page - host (string): Hostname - pathname (string): URL path - referrer (string): Document referrer or "$direct" - referringDomain (string): Referrer hostname or "$direct" - os (string): Operating system name - osVersion (string): OS version
- browser (string): Browser name - device (string): Device identifier - deviceType (string): "Mobile", "Tablet", or "Desktop" - browserLanguage (string): Browser language (e.g., "en-GB")
- screenHeight (int): Screen height in pixels - screenWidth (int): Screen width in pixels - viewportHeight (int): Viewport height in pixels - viewportWidth (int): Viewport width in pixels

Response: { visitorId: string } - SHA256(browserId + clientIP)



## OpenAPI

````yaml /openapi/consumer_api.oas.json post /api/consumer/{version}/product/view
openapi: 3.0.0
info:
  title: Consumer API
  description: Create your own front end for the referral journey using our Consumer API.
  termsOfService: https://mention-me.com/help/tnc_f/site
  version: v2
servers:
  - url: https://mention-me.com
    description: Production
  - url: https://demo.mention-me.com
    description: Demo
security: []
tags:
  - name: Record Order
  - name: Enrol Referrer
  - name: Get referrer dashboard
  - name: Find referrer by name
  - name: Link new customer to referrer
paths:
  /api/consumer/{version}/product/view:
    post:
      summary: Track product page view for referral attribution.
      description: >-
        Request body (JSON): - browserId (string, required): Client-generated
        browser fingerprint hash (djb2)

        - referrerId (string, optional): Referring user's visitorId from mm_rf
        URL param - currentUrl (string): Full URL of product page - host
        (string): Hostname - pathname (string): URL path - referrer (string):
        Document referrer or "$direct" - referringDomain (string): Referrer
        hostname or "$direct" - os (string): Operating system name - osVersion
        (string): OS version

        - browser (string): Browser name - device (string): Device identifier -
        deviceType (string): "Mobile", "Tablet", or "Desktop" - browserLanguage
        (string): Browser language (e.g., "en-GB")

        - screenHeight (int): Screen height in pixels - screenWidth (int):
        Screen width in pixels - viewportHeight (int): Viewport height in pixels
        - viewportWidth (int): Viewport width in pixels


        Response: { visitorId: string } - SHA256(browserId + clientIP)
      operationId: post_api_product_view
      parameters:
        - name: version
          in: path
          required: true
          schema:
            type: string
            pattern: v2|v1
            enum:
              - v2
              - v1
      responses:
        default:
          description: ''

````